getPanelAgentConfigRoleVariableList(params: GetPanelAgentConfigRoleVariableListParams)

Requires:
@tuya-miniapp/cloud-api≥1.0.6

Description

Get the list of role variable configurations.

Parameters

ParameterTypeRequiredDescription
YesRequest body

Return Value

Type: Promise<GetPanelAgentConfigRoleVariableListResult>
GetPanelAgentConfigRoleVariableListResult (see type definitions and minituya response parameters for field meanings)

Referenced Types

typeGetPanelAgentConfigRoleVariableListResult
Array<{
  /** 变量键	 */
  variableKey: number;
  /** 变量描述		 */
  variableDesc: string;
}>

Examples

Request example

import { getPanelAgentConfigRoleVariableList } from '@tuya-miniapp/cloud-api';

const params = {
  devId: 'your_device_id',
};

getPanelAgentConfigRoleVariableList(params)
  .then(result => {
    console.log('Role variable configuration list:', result);
  })
  .catch(error => {
    console.error('Failed to get role variable configuration list:', error);
  });

Response example

[
  {
    "variableKey": 1001,
    "variableDesc": "Device name"
  },
  {
    "variableKey": 1002,
    "variableDesc": "User nickname"
  }
]